<?php
/*
Plugin Name: metasimple
Version: 2.1.0
Description: Replaces the entire contents of the metadata "description" with the category description or pictures if any. Ability to customize the description of the home page
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=456
Author: ddtddt
Author URI: http://piwigo.org/
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $prefixeTable;

define('metasimple_DIR' , basename(dirname(__FILE__)));
define('metasimple_PATH' , PHPWG_PLUGINS_PATH . metasimple_DIR . '/');



add_event_handler('loc_begin_page_header', 'add_metadesc' );
function add_metadesc()
{
  global $template, $page, $meta_infosdesc;

  $meta_infosdesc = array();
  $meta_infosdesc['info'] = $template->get_template_vars('INFO_FILE');
  $meta_infosdesc['page'] = $template->get_template_vars('PAGE_TITLE');

 
  //meta categories
  if ( !empty($page['category']['id']) )   
  {

    $query = '
    select id,comment
      FROM ' . CATEGORIES_TABLE . '
      WHERE id = \''.$page['category']['id'].'\'
      ;';
    $result = pwg_query($query);
    $row = mysql_fetch_array($result);
    if (!empty($row['comment']))
    {
      $template->assign('COMMENT_IMG', $row['comment']);
	  $template->clear_assign('INFO_FILE');
    }
  }
  
    //meta images
  if ( !empty($page['image_id']) )   
  {
    $query = '
    select id,comment
      FROM ' . IMAGES_TABLE . '
      WHERE id = \''.$page['image_id'].'\'
      ;';
    $result = pwg_query($query);
    $row = mysql_fetch_array($result);
    if (!empty($row['comment']))
    {
      $template->assign('COMMENT_IMG', $row['comment']);
	  $template->clear_assign('INFO_FILE');
    }
	
  }
  
  //meta homepage
  if (isset($page['section']) and $page['section'] == 'categories' and empty($page['category']['id']))
  {
  $descindex='';
  
    if (!empty($descindex))
    {
      $template->assign('COMMENT_IMG', $descindex);
	  $template->clear_assign('INFO_FILE');
    }
  }

}

add_event_handler('loc_after_page_header', 'set_metadesc_back');
function set_metadesc_back()
{
  global $template, $meta_infosdesc;
  
  $template->assign(array(
    'INFO_FILE'    => $meta_infosdesc['info']
    )
  );
}
?>